Subject: bug#32074: maintainer-clean and removing configure/Makefile.in/etc.

From: Jack Kelly <[email-masked]>
Date: Sun, 08 Jul 2018 08:29:57 +1000

Mathieu Lirzin <[email-masked]> writes:

> Jack Kelly <[email-masked]> writes:
>
>> It is certainly valuable to test that you can bootstrap your package
>> from autoreconf up, but I don't think `make maintainer-clean' is the
>> best place to do that. The `git-clean' command removes untracked files
>> from the worktree, and I'm sure other VCSes let you do similar
>> things. Maybe the manual could point to those commands?
>
> This works only when files generated by Autotools are not commited to
> VCS.  Having said that, I agree this is a general good practice that
> ought to be documented in Automake's manual.  Have you any suggestion
> regarding the location and wording?

Possibly under the "What Gets Cleaned" section of the manual?

-- Jack